diff -Nur debian/patches/0list~ debian/patches/0list
--- debian/patches/0list~	2003-08-13 15:40:04.000000000 +0900
+++ debian/patches/0list	2003-08-12 21:31:22.000000000 +0900
@@ -56,3 +56,4 @@
 glibc23-00-hppa-pthreads 
 glibc23-hppa-malloc8
 glibc23-cert-rpcxdr
+zaurus
diff -Nur debian/patches/zaurus.dpatch~ debian/patches/zaurus.dpatch
--- debian/patches/zaurus.dpatch~	1970-01-01 09:00:00.000000000 +0900
+++ debian/patches/zaurus.dpatch	2003-08-12 22:33:24.000000000 +0900
@@ -0,0 +1,43 @@
+#! /bin/sh -e
+
+# DP: add clock_{get,set}time@@GLIBC_2.0 - programs in Woody need it
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p0 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p0 < $0;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+
+--- sysdeps/unix/sysv/linux/arm/sysdep.h	2003-08-12 21:26:56.000000000 +0900
++++ sysdeps/unix/sysv/linux/arm/sysdep.h	2002-08-27 06:16:19.000000000 +0900
+@@ -131,7 +131,7 @@
+        asm volatile ("swi	%1	@ syscall " #name	\
+ 		     : "=r" (_a1)				\
+ 		     : "i" (SYS_ify(name)) ASM_ARGS_##nr	\
+-		     : "a1", "memory");				\
++		     : "memory");				\
+        _sys_result = _a1;					\
+      }								\
+      if (_sys_result >= (unsigned int) -4095)			\
+
+
+--- stdio-common/sscanf.c	2002-08-11 03:09:08.000000000 +0900
++++ stdio-common/sscanf.c	2003-08-12 22:24:12.000000000 +0900
+@@ -27,9 +27,7 @@
+ /* Read formatted input from S, according to the format string FORMAT.  */
+ /* VARARGS2 */
+ int
+-sscanf (s, format)
+-     const char *s;
+-     const char *format;
++sscanf (const char *s, const char *format, ...)
+ {
+   va_list arg;
+   int done;
